<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
         "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
{include file="functions.tpl"}
{locale path="../config/locale" domain="zendto"}{* i18n by smarty-gettext *}
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US" xml:lang="en-US">
  <head>
    <title>{#ServiceTitle#}</title>
    <link rel="stylesheet" type="text/css" href="css/{#CSSTheme#}.css"/>
    <link rel="stylesheet" type="text/css" href="css/local.css"/>
    <link rel="stylesheet" type="text/css" href="css/jquery.dataTables.min.css"/>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Roboto+Mono"/>
    <link rel="stylesheet" type="text/css" href="css/fontawesome.min.css"/>
    <link rel="stylesheet" type="text/css" href="css/fa-solid.min.css"/>
{if $cookieGDPRConsent}
    {* Cookie/GDPR consent code courtesy of cookieconsent.insites.com *}
    <link rel="stylesheet" type="text/css" href="css/cookieconsent.min.css"/>
{/if}

{if $autoHome}
    <meta http-equiv="refresh" content="10;URL={$zendToURL}">
{/if}

	<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <script type="text/javascript">
          {* Use these translations from main.js so need them as JS vars *}
          var ZTUSERNAME = "{t 1=#OrganizationShortName#}%1 Username{/t}";
          var ZTPASSWORD = "{t}Password{/t}";
          var ZTLOGIN    = "{t}Login{/t}";
          var ZTFIRST    = "{t}First{/t}";
          var ZTLAST     = "{t}Last{/t}";
          var ZTNEXT     = "{t}Next{/t}";
          var ZTPREVIOUS = "{t}Previous{/t}";
        </script>
	<script type="text/javascript" src="js/jquery-3.2.1.min.js"></script>
{if $invisibleCaptcha}
	<script src="https://www.google.com/recaptcha/api.js?hl={$recaptchaLang}" async defer></script>
{else}
	<script src="https://www.google.com/recaptcha/api.js" async defer></script>
{/if}
{if $cookieGDPRConsent}
    <script src="js/cookieconsent.min.js"></script>
    <script>
    window.addEventListener("load", function(){
    // If they didn't accept the rules, wipe the cookie and ask again
    b = document.cookie.match('(^|;)\\s*cookieconsent_status\\s*=\\s*([^;]+)');
    c = b ? b.pop() : '';
    if (c === "dismiss")
      document.cookie = 'cookieconsent_status=; expires=Thu, 01 Jan 1970 00:00:01 GMT; path="/"';
    // Set up the cookieconsent box
    window.cookieconsent.initialise({
      "palette": {
        "popup": {
          "background": "#fcffe7",
          "text": "#000000"
        },
        "button": {
          "background": "#1f88c1",
          "text": "#ffffff"
        }
      },
      "cookie.domain": "{$cookieDomain}",
      "cookie.expiryDays": -1,
      "theme": "classic",
      "type": "opt-in",
      "revokable": false,
      "revokeBtn": '<div class="cc-revoke {ldelim}{ldelim}classes{rdelim}{rdelim}">{t}Privacy Consent{/t}</div>',
      "blacklistPage": [ '/about.php' ],
      "onStatusChange": function(status, chosenBefore) {
        if (status === "dismiss")
          window.location.href="{#CannotUseService#}";
      },
      "content": {
        "message": "{t}This website uses a cookie & has to use your name & email address to function.{/t}",
        "allow": "{t}I agree{/t}",
        "dismiss": "{t}I do not agree{/t}",
        "link": "{t 1=#ServiceTitle#}About %1{/t}",
        "href": "{#PrivacyInfoWebPage#}"
      }
    })});
    </script>
{/if}
	<script type="text/javascript" src="js/facebox/facebox.js"></script>
        <script type="text/javascript" src="js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="js/moment-2.22.2.min.js"></script>
	<script type="text/javascript" src="js/datetime-moment.js"></script>
	<link href="js/facebox/facebox.css" media="screen" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="js/main.js"></script>
	<script type="text/javascript">
		var isLocal = "{$isLocalIP}";
	</script>

  </head>

{if $focusTarget ne ''}
<body onload="document.{$focusTarget}.focus();">
{else}
<body>
{/if}

<!-- Begin page content -->
<div class="content">
	<div id="logo"><a href="{$zendToURL}">{#ServiceLogo#}</a></div>
	<div id="topMenu">
		<ul>
			<li id="homeLink" class="selected"><a href="{$zendToURL}">{t}Home{/t}</a></li>					
		{if $isAuthorizedUser}
			<li id="inboxLink"><a href="pickup_list.php">{t}Inbox{/t}</a></li>
			<li id="outboxLink"><a href="dropoff_list.php">{t}Outbox{/t}</a></li>
			<li id="logoutLink"><a href="index.php?action=logout">{t}Logout{/t}</a></li>
		{elseif $isLocalIP || $allowExternalLogins}
			<li id="loginLink"><a href="index.php?action=login">{t}Login{/t}</a></li>
		{/if}			
		</ul>
	</div>
	<div id="container">

{if count($errors)>0}
	<div id="error">
	    <table class="UD_error" width="50%">
	  {for $i=0;$i<count($errors);$i++}
	      <tr>
	        <td class="UD_error_title"><i class="fas fa-exclamation-circle fa-fw"></i></td><td class="UD_error_title">{$errors[$i].title|default:"&nbsp;"}</td>
	      </tr>
	      <tr>
	        <td class="UD_error_message"><i class="fas fa-fw"></i></td><td class="UD_error_message">{$errors[$i].text|default:"&nbsp;"}</td>
	      </tr>
	  {/for}
	    </table>
  </div>
{/if}
