{include file="header.tpl"}

<script type="text/javascript">
<!--
$(document).ready(function() {
    // This enables date sorting with the same spec as the date_format below
    $.fn.dataTable.moment('YYYY-MM-DD HH:mm:ss');
    $('#pickup_list_all').DataTable( {
       "pagingType": "full_numbers",
       "lengthMenu": [ [10, 25, 50, -1], [10, 25, 50, "{t}All{/t}"] ],
       "language": {
         "search":       "{t}Search:{/t}",
         "lengthMenu":   "{t}Show _MENU_ entries{/t}",
         "info":         "{t}Showing _START_ to _END_ of _TOTAL_ entries{/t}",
         "infoEmpty":    "{t}Showing 0 to 0 of 0 entries{/t}",
         "infoFiltered": "{t}(filtered from _MAX_ total entries){/t}",
         "infoPostFix":  "",
         "zeroRecords":  "{t}No matching records found{/t}",
         "emptyTable":   "{t}No data available in table{/t}",
         "paginate": {
           first:    '<i class="fas fa-angle-double-left fa-fw"></i>',
           previous: '<i class="fas fa-angle-left fa-fw"></i>',
           next:     '<i class="fas fa-angle-right fa-fw"></i>',
           last:     '<i class="fas fa-angle-double-right fa-fw"></i>'
         },
         aria: {
           "paginate": {
             first:    '{t}First{/t}',
             previous: '{t}Previous{/t}',
             next:     '{t}Next{/t}',
             last:     '{t}Last{/t}'
           }
         }
       },
       "order":      [[ 3, "desc" ]],
       "columns":    [
       { "title": "{t}Claim ID{/t}", "className": "dt-body-left" },
       { "title": "{t}Sender{/t}",   "className": "dt-body-left" },
       { "title": "{t}Size{/t}",     "className": "dt-body-right" },
       { "title": "{t}Created{/t}",  "className": "dt-body-center" },
       ]
    } );
    $('.dataTable').on('click', 'tbody td', function() {
      doPickup($(this).parent().children().first().text());
    });
    $(window).on('unload', function() {
      $('.dataTable').off('click', 'tbody td');
    });
});
//-->
</script>

{if $isAuthorizedUser && $isAdminUser}

  {if $countDropoffs>0}
<h1>{t}Global Drop-off List{/t}</h1>
<p>{t}Click on a drop-off to view the information and files for that drop-off.{/t}</p>
<table id="pickup_list_all" class="display" width="100%">
  <tbody>
    {foreach from=$dropoffs item=d}
  <tr>
    <td class="mono">{$d.claimID}</td>
    <td>{$d.senderName}, {$d.senderOrg}<br/>&lt;{$d.senderEmail}&gt;</td>
    <td data-order="{$d.Bytes}">{$d.formattedBytes}</td>
    <td>{$d.createdDate|date_format:"%Y-%m-%d %H:%M:%S"}</td>
  </tr>
    {/foreach}
</table>

<br/>
  <form name="pickup" method="post" action="{$zendToURL}pickup.php">
  <input type="hidden" id="claimID" name="claimID" value=""/>
</form>

  {else}
<div id="error">
  <p>
    <i class="fas fa-exclamation-circle fa-fw"></i> {t}There are no drop-offs available at this time.{/t}
  </p>
</div>
  {/if}

{/if}

{include file="footer.tpl"}
